Qt 5.6 | Qt 3D | C++ Classes | QAbstractNodeFactory

Qt 5.6.3 Reference Documentation

# QAbstractNodeFactory Class

(Qt3DCore::QAbstractNodeFactory)

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractNodeFactory()
virtual QNode * | createNode(const char *type) = 0

## Static Public Members

T * | createNode(const char *type)
QList<QAbstractNodeFactory *> | nodeFactories()
void | registerNodeFactory(QAbstractNodeFactory *factory)

## Member Function Documentation

### `[virtual]` QAbstractNodeFactory::~QAbstractNodeFactory()

Destroys the instance of QAbstractNodeFactory. The destructor is virtual.

### `[pure virtual]` QNode *QAbstractNodeFactory::createNode(const char *type)

### `[static]` T *QAbstractNodeFactory::createNode(const char *type)

### `[static]` QList<QAbstractNodeFactory *> QAbstractNodeFactory::nodeFactories()

### `[static]` void QAbstractNodeFactory::registerNodeFactory(QAbstractNodeFactory *factory)